wxWidgets: wxTCPServer Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxTCPServer Class Reference
Class List by Category » Networking

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/sckipc.h>`

Inheritance diagram for wxTCPServer:
[legend]

## Detailed Description

A wxTCPServer object represents the server part of a client-server conversation.

It emulates a DDE-style protocol, but uses TCP/IP which is available on most platforms.

A DDE-based implementation for Windows is available using wxDDEServer.

##

Library: wxNet

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxTCPClient, wxTCPConnection, Interprocess Communication

## Public Member Functions
| wxTCPServer ()
| Constructs a server object. More...
virtual bool | Create (const wxString &service)
| Registers the server using the given service name. More...
virtual wxConnectionBase * | OnAcceptConnection (const wxString &topic)
| When a client calls MakeConnection, the server receives the message and this member is called. More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `WXDEBUG` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Constructor & Destructor Documentation

## ◆ wxTCPServer()

wxTCPServer::wxTCPServer | ( |  | ) |

Constructs a server object.

## Member Function Documentation

## ◆ Create()

virtual bool wxTCPServer::Create | ( | const wxString & | service | ) |
| virtual

Registers the server using the given service name.

Under Unix, the string must contain an integer id which is used as an Internet port number. false is returned if the call failed (for example, the port number is already in use).

## ◆ OnAcceptConnection()

virtual wxConnectionBase* wxTCPServer::OnAcceptConnection | ( | const wxString & | topic | ) |
| virtual

When a client calls MakeConnection, the server receives the message and this member is called.

The application should derive a member to intercept this message and return a connection object of either the standard wxTCPConnection type, or of a user-derived type. If the topic is "STDIO", the application may wish to refuse the connection. Under Unix, when a server is created the OnAcceptConnection message is always sent for standard input and output.